Bug 595780 - NIC hotplug and hotunplug is very buggy
NIC hotplug and hotunplug is very buggy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xenpv-win (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On: 526393
Blocks: 518405 598100
  Show dependency treegraph
 
Reported: 2010-05-25 11:28 EDT by Paolo Bonzini
Modified: 2011-02-01 04:00 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.3.0-1
Doc Type: Bug Fix
Doc Text:
Previously, the network card hot-plug and hot-unplug triggered problems in the SCSI driver and could cause the guest to crash. With this update, the network card hot-plug and hot-unplug work as reliable.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-01 04:00:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0187 normal SHIPPED_LIVE xenpv-win bug fix update 2011-02-01 03:59:58 EST

  None (edit)
Description Paolo Bonzini 2010-05-25 11:28:53 EDT
There are several problems with NIC hotplug and unplug.  Hotplugging can cause bug 523693, and unplugging is subject to memory leaks that can cause blue screens after a certain number of hotplug/hotunplug operations.

On top of that, some code in the drivers is executed at high interrupt levels, causing the system to be unresponsive for approximately half a second while the hotplugging and hotunplugging is completed.
Comment 1 Paolo Bonzini 2010-06-01 11:32:09 EDT
Back to ASSIGNED as the previous solution does not work on Windows 2008. :-(
Comment 4 Florian Nadge 2010-10-18 12:27:54 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the network card hot-plug and hot-unplug triggered problems in the SCSI driver and could cause the guest to crash. With this update, the network card hot-plug and hot-unplug work as reliable.
Comment 5 YangGuang 2010-10-19 05:26:47 EDT
Version-Release number of selected component:
xen-3.0.3-117.el5
kernel-xen-2.6.18-228.el5
xenpv-win: 1.2.0
guest: Windows2008r2 HVM

Detailed steps:
1. Edit the vm's config file to install xenpv-win, change the disk specification like
    disk=['file:...', 'file:/usr/share/xenpv-win/xenpv-win.iso,hdc:cdrom,r',
	      'file:/usr/share/xenpv-win/xenpv-win-debug.iso,hdd:cdrom,r']
2. Start the vm with xm create command:
   [host]# xm create $vm-config
3. Open "My Computer", double click "xenpv-win-1.2.0(D:)(CDROM Drive)"
	Or Open CD Drive, then double click xenpv-win.exe
   Then the installer start the installation process, choose "next" all the way.
4. Execute hot-plug and hot-unplug 50 times.
   [host]# xm pci-attach $domU $dev
   [host]# xm pci-detach $domU $dev
5. using vncviewer to login the guest vm and check.

Detailed result:
1. The guest works well and blue-screen doesn't occur.
Comment 7 Paolo Bonzini 2010-10-19 09:22:41 EDT
1) Does the network work after the cycles?  That would be bug 598100.

2) Try 100-120 hotplug cycles. :)
Comment 9 Paolo Bonzini 2010-10-20 04:29:04 EDT
I think both bugs are verified then.
Comment 10 errata-xmlrpc 2011-02-01 04:00:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0187.html

Note You need to log in before you can comment on or make changes to this bug.